Bug 169860 - [patch]www/xxxterm has been renamed. I want to take over the maintainership.
[patch]www/xxxterm has been renamed. I want to take over the maintainership.
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: Niclas Zeising
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-14 18:50 UTC by itechbear
Modified: 2012-08-20 16:46 UTC (History)
0 users

See Also:


Attachments
file.diff (4.54 KB, patch)
2012-07-14 18:50 UTC, itechbear
no flags Details | Diff
patch.txt (4.68 KB, text/plain; charset=US-ASCII)
2012-07-27 16:45 UTC, itechbear
no flags Details
patch.txt (7.67 KB, text/plain; charset=US-ASCII)
2012-08-03 05:08 UTC, itechbear
no flags Details
xombrero.txt (6.67 KB, text/plain; charset=US-ASCII)
2012-08-17 13:52 UTC, itechbear
no flags Details
patch.txt (7.56 KB, text/plain; charset=US-ASCII)
2012-08-17 15:08 UTC, itechbear
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description itechbear 2012-07-14 18:50:09 UTC
    Since the port www/xxxterm has been renamed to xombrero and got a new version policy, I notified the port maintainer Aldis Berjoza  via email. He replied that he doesn't have much time to maintain this port and asked if I would like to continue this task. After some efforts, with his help, I made new port files work. The patch for port www/xombrero is attached, and I volunteer to be the next port maintainer.

Fix: As the attachment.

Patch attached with submission follows:
How-To-Repeat: None.
Comment 1 Edwin Groothuis freebsd_committer 2012-07-14 18:50:17 UTC
Maintainer of www/xxxterm,

Please note that PR ports/169860 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/169860

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-07-14 18:50:19 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 graudeejs 2012-07-14 19:05:04 UTC
I approve this patch.

Good luck to new maintainer!
-- 
Aldis Berjoza
Comment 4 scheidell freebsd_committer 2012-07-26 13:06:48 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 5 scheidell freebsd_committer 2012-07-26 13:19:37 UTC
We are sorry it took so long to get to this.
During this time, a couple of things have happened.
#1, FreeBSD has moved to svn and not cvs for portstree (so, revisions, 
and Makefile slightly changed). please update your ports tree
#2, it looks like <https://opensource.conformal.com/snapshots/xombrero/> 
has released 1.2.2

A couple of issues with pr:
#1, for 'new port', you use the 'blank' $FreeBSD$' type keyword
  (run portlint -abmtN)
#2, you don't need portrevision or portepoch with a new port named xombrero

please update your ports tree, make those couple of changes, and 
resubmit the patch (reply to the pr, attach a plain text file attachment)

Thanks.
-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 6 itechbear 2012-07-27 09:09:01 UTC
I checked the porter handbook, and it says that I should keep the line
# $FreeBSD$
untouched, and subversion will automatically deal with it. So what should I
do to correct pr issues?

HU Dong
Comment 7 scheidell freebsd_committer 2012-07-27 12:50:54 UTC

On 7/27/12 4:09 AM, HU Dong (??????) wrote:
> I checked the porter handbook, and it says that I should keep the line
> # $FreeBSD$
> untouched, and subversion will automatically deal with it. So what 
> should I do to correct pr issues?
>
I believe that is only for 'patches', not a new port or 'repocopy'. 
(this is a repocopy,
step 1, cp www/xxxterm www/xombrero
(i have to do that)
step 2, I apply your patches to www/xombrero.

since this is a 'new port', you should make the Makefile header this:

# New ports collection makefile for:   xombrero
# Date created:                               2012.07.14
# Whom:  HU Dong<itechbear@gmail.com>
#
# $FreeBSD$
#

and not like this, which you have in your pr:
(this below if not correct)

# New ports collection makefile for:   xombrero
  # Date created:                               2011.01.15
  # Whom:                                     Aldis Berjoza<aldis@bsdroot.lv>
  #
-# $FreeBSD: ports/www/xxxterm/Makefile,v 1.13 2012/06/01 05:25:05 dinoex Exp $
+# $FreeBSD: ports/www/xombrero/Makefile,v 1.2.0 2012/07/12 14:58:00 dinoex Exp $
  #


> HU Dong
>
> On Thu, Jul 26, 2012 at 8:19 PM, Michael Scheidell 
> <scheidell@freebsd.org <mailto:scheidell@freebsd.org>> wrote:
>
>     We are sorry it took so long to get to this.
>     During this time, a couple of things have happened.
>     #1, FreeBSD has moved to svn and not cvs for portstree (so,
>     revisions, and Makefile slightly changed). please update your
>     ports tree
>     #2, it looks like
>     <https://opensource.conformal.com/snapshots/xombrero/> has
>     released 1.2.2
>
you need to send in a new attachment/patch that uses the above header, 
and you should do it for version 1.2.2, not 1.2.0

>
>     A couple of issues with pr:
>     #1, for 'new port', you use the 'blank' $FreeBSD$' type keyword
>      (run portlint -abmtN)
>
see above. run 'portlint -abmtN' and fix everything that needs to be fixed.

>     #2, you don't need portrevision or portepoch with a new port named
>     xombrero
>
you don't need portrevision or portepoch with a new port.

>     please update your ports tree, make those couple of changes, and
>     resubmit the patch (reply to the pr, attach a plain text file
>     attachment)
>
do the above.

if you need assistance, and want to get some help on any of the above, 
you should join the freebsd-ports@ mailing list, and post any questions 
you have there.

Once you publish your fixes, I will look at them.


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 8 scheidell freebsd_committer 2012-07-28 13:25:47 UTC
are you sure you want to install a shell script in 
/usr/local/share/xombrero?

+    ${INSTALL_DATA}  ${WRKSRC}/playflash.sh ${PREFIX}/share/${PORTNAME}/

why are you installing this in ../share/applications?
+    ${INSTALL_DATA}  ${WRKSRC}/xombrero.desktop 
${PREFIX}/share/applications/

did you mean ../share/${PORTNAME}/ ?



-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 9 itechbear 2012-07-28 15:50:34 UTC
The "playflash.sh" script brought by xombrero source code is actually a
"plugin" for xombrero. It is supposed to be manually copied into
~/.xombrero/ directory by users (alternatively, users can modify the
corresponding option in ~/.xombrero.conf file). It simply invokes
www/get_flash_videos to run multimedia/mplayer to play flash videos
embedded in web pages. I can't find any suitable place , So I put it in
share/${PORTNAME}. Maybe in the future I should  make it as an option and
let users decide whether to install it.

As for the file xombrero.desktop, I took that line from xxxterm. I checked
several ports, like geany, ddd, etc, they also install the .desktop into
/usr/local/share/applications/ directory. So I don't think there's anything
wrong.

HU Dong
Comment 10 itechbear 2012-07-28 16:04:25 UTC
Maybe it's better to install playflash.sh in share/examples/${PORTNAME} ?

HU Dong
Comment 11 itechbear 2012-07-30 10:29:56 UTC
And, here's another problem. It seems that the icon files should be
installed in /usr/local/share/icons/hicolor instead of
/usr/local/share/${PORTNAME}, because KDE can't display
xombrero.desktop properly(maybe gnome neither). But how to achive
this? Is it reasonable to use commands like "${INSTALL_DATA}
${WRKSRC}/xombreroicon32.png
${PREFIX}/share/icons/hicolor/32x32/apps/"? Would "INSTALLS_ICONS=yes"
do it automatically?

HU Dong
Comment 12 scheidell freebsd_committer 2012-07-30 12:01:20 UTC
as an answer to earlier email, yes, I do get replys and emails when you 
reply to bug-followup.  As for why I did not respond, I only have a few 
hours a day I can spend in the volunteer work of ports committer.

On the two other issues,
#1: make sure this actually works in your environment.
#2: make sure it meets FreeBSD ports best practices
#3: join redports, and test your port in redports
#4: as a new maintainer, you really need to join the mailing list 
'freebsd-ports@'

#4 is important for another reason.  While I don't have 24/7 access to 
my email, the port@ mailing list has a lot of other maintainers and 
committers who can more easily and quickly answer some of your questions.

I will keep this pr open for you for a while, please ask in that list, 
make sure everything in your port works the way it should (does it do 
everything the old port did? does it crash?).  Make sure you put files 
where they belong. 
<http://www.freebsd.org/doc/handbook/dirstructure.html>, or man hier.

Reread the porters handbook.  At different times of the day.  Ask 
questions in the ports@ list.

run portlint -abmt   (add -N on a new port or repocopy)

Once you get that working, then join redports, and test the packaging of 
your port in a clean/jailed environment.  Fix what needs to be fixed.

Then submit a new. replacement patch, as a plain text attachment when 
you email bug-followup.
If you think this will take more than two weeks to do, then its best to 
just ask for this pr to be closed and open a new one (stale pr's tend to 
be ignored)

Don't hesitate to ask questions to the freebsd-ports@ group.  Again, it 
is frequented by other maintainers and committers who can answer some of 
your questions 24/7.


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 13 scheidell freebsd_committer 2012-08-06 21:38:01 UTC
--------------------------
|diff -ruN www/xxxterm/Makefile www/xombrero/Makefile
|--- www/xxxterm/Makefile    2012-07-14 22:29:18.662529000 +0800
|+++ www/xombrero/Makefile    2012-08-03 08:56:18.000000000 +0800
--------------------------
Patching file Makefile using Plan A...
Hunk #1 failed at 1.
Hunk #2 succeeded at 45.
1 out of 2 hunks failed--saving rejects to Makefile.rej

cat Makefile.rej
cat Makefile.rej
***************
*** 1,33 ****
- # New ports collection makefile for:    xxxterm
- # Date created:                2011.01.15
- # Whom:                    Aldis Berjoza <aldis@bsdroot.lv>
   #
   # $FreeBSD$
   #

- PORTNAME=    xxxterm
- PORTVERSION=    1.10.0
- PORTREVISION=    1
- PORTEPOCH=    1
   CATEGORIES=    www
- MASTER_SITES=    https://opensource.conformal.com/snapshots/xxxterm/ \
           SF/xxxterm/
   EXTRACT_SUFX=    .tgz

- MAINTAINER=    graudeejs@gmail.com
   COMMENT=    Minimalists vi-like web browser based on webkit and GTK+

- LIB_DEPENDS=    gnutls.47:${PORTSDIR}/security/gnutls \
-         soup-2.4:${PORTSDIR}/devel/libsoup \
-         webkitgtk-1.0:${PORTSDIR}/www/webkit-gtk2
-
- USE_GNOME=    gtk20 pkgconfig
- USE_PERL5_BUILD=YES
-
- PLIST_FILES=    bin/xxxterm
- MAN1=        xxxterm.1
- PORTEXAMPLES=    favorites xxxterm.conf
- PLIST_DIRS+=    share/xxxterm

   .include <bsd.port.pre.mk>

--- 1,43 ----
+ # New ports collection makefile for:    xombrero
+ # Date created:                July 27 2012
+ # Whom:                    HU Dong <itechbear@gmail.com>
   #
   # $FreeBSD$
   #

+ PORTNAME=    xombrero
+ PORTVERSION=    1.2.2
   CATEGORIES=    www
+ MASTER_SITES=    https://opensource.conformal.com/snapshots/xombrero/ \
           SF/xxxterm/
   EXTRACT_SUFX=    .tgz

+ MAINTAINER=    itechbear@gmail.com
   COMMENT=    Minimalists vi-like web browser based on webkit and GTK+

+ LICENSE=    ISCL
+
+ LIB_DEPENDS=    gnutls:${PORTSDIR}/security/gnutls \
+         soup-2:${PORTSDIR}/devel/libsoup \
+         webkitgtk-1:${PORTSDIR}/www/webkit-gtk2
+
+ USE_PKGCONFIG=    yes
+ USE_PERL5_BUILD=yes
+ USE_GNOME=    gtk20
+ INSTALLS_ICONS=    yes
+
+ MAKE_ENV=    GTK_VERSION="gtk2" \
+         PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \
+         PTHREAD_LIBS="${PTHREAD_LIBS}"
+
+ MAN1=        xombrero.1
+ PORTEXAMPLES=    favorites playflash.sh xombrero.conf
+
+ BUILD_WRKSRC=    ${WRKSRC}/freebsd
+
+ OPTIONS_DEFINE=    EXAMPLES
+
+ SUB_FILES=    xombrero

   .include <bsd.port.pre.mk>

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 14 scheidell freebsd_committer 2012-08-06 21:38:16 UTC
Responsible Changed
From-To: scheidell->freebsd-ports-bugs

ENOTIME. Back to the pool.
Comment 15 itechbear 2012-08-07 01:51:19 UTC
I made this patch based on svn and I don't know why this happened. Then
what should I do?

HU Dong

On Tue, Aug 7, 2012 at 4:38 AM, Michael Scheidell <scheidell@freebsd.org>wrote:

>  --------------------------
> |diff -ruN www/xxxterm/Makefile www/xombrero/Makefile
> |--- www/xxxterm/Makefile    2012-07-14 22:29:18.662529000 +0800
> |+++ www/xombrero/Makefile    2012-08-03 08:56:18.000000000 +0800
> --------------------------
> Patching file Makefile using Plan A...
> Hunk #1 failed at 1.
> Hunk #2 succeeded at 45.
> 1 out of 2 hunks failed--saving rejects to Makefile.rej
>
> cat Makefile.rej
> cat Makefile.rej
> ***************
> *** 1,33 ****
> - # New ports collection makefile for:    xxxterm
> - # Date created:                2011.01.15
> - # Whom:                    Aldis Berjoza <aldis@bsdroot.lv><aldis@bsdroot.lv>
>   #
>   # $FreeBSD$
>   #
>
> - PORTNAME=    xxxterm
> - PORTVERSION=    1.10.0
> - PORTREVISION=    1
> - PORTEPOCH=    1
>   CATEGORIES=    www
> - MASTER_SITES=    https://opensource.conformal.com/snapshots/xxxterm/ \
>           SF/xxxterm/
>   EXTRACT_SUFX=    .tgz
>
> - MAINTAINER=    graudeejs@gmail.com
>   COMMENT=    Minimalists vi-like web browser based on webkit and GTK+
>
> - LIB_DEPENDS=    gnutls.47:${PORTSDIR}/security/gnutls \
> -         soup-2.4:${PORTSDIR}/devel/libsoup \
> -         webkitgtk-1.0:${PORTSDIR}/www/webkit-gtk2
> -
> - USE_GNOME=    gtk20 pkgconfig
> - USE_PERL5_BUILD=YES
> -
> - PLIST_FILES=    bin/xxxterm
> - MAN1=        xxxterm.1
> - PORTEXAMPLES=    favorites xxxterm.conf
> - PLIST_DIRS+=    share/xxxterm
>
>   .include <bsd.port.pre.mk>
>
> --- 1,43 ----
> + # New ports collection makefile for:    xombrero
> + # Date created:                July 27 2012
> + # Whom:                    HU Dong <itechbear@gmail.com><itechbear@gmail.com>
>   #
>   # $FreeBSD$
>   #
>
> + PORTNAME=    xombrero
> + PORTVERSION=    1.2.2
>   CATEGORIES=    www
> + MASTER_SITES=    https://opensource.conformal.com/snapshots/xombrero/ \
>           SF/xxxterm/
>   EXTRACT_SUFX=    .tgz
>
> + MAINTAINER=    itechbear@gmail.com
>   COMMENT=    Minimalists vi-like web browser based on webkit and GTK+
>
> + LICENSE=    ISCL
> +
> + LIB_DEPENDS=    gnutls:${PORTSDIR}/security/gnutls \
> +         soup-2:${PORTSDIR}/devel/libsoup \
> +         webkitgtk-1:${PORTSDIR}/www/webkit-gtk2
> +
> + USE_PKGCONFIG=    yes
> + USE_PERL5_BUILD=yes
> + USE_GNOME=    gtk20
> + INSTALLS_ICONS=    yes
> +
> + MAKE_ENV=    GTK_VERSION="gtk2" \
> +         PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \
> +         PTHREAD_LIBS="${PTHREAD_LIBS}"
> +
> + MAN1=        xombrero.1
> + PORTEXAMPLES=    favorites playflash.sh xombrero.conf
> +
> + BUILD_WRKSRC=    ${WRKSRC}/freebsd
> +
> + OPTIONS_DEFINE=    EXAMPLES
> +
> + SUB_FILES=    xombrero
>
>   .include <bsd.port.pre.mk>
>
>
> --
> Michael Scheidell, CTO
> > *| * SECNAP Network Security Corporation
> d: +1.561.948.2259
> w: http://people.freebsd.org/~scheidell
>
Comment 16 itechbear 2012-08-17 04:25:52 UTC
Hi, Michael!
    It has been ten days since last time I responded the PR of
ports/169860. I'm still waiting for your reply.

-- 
B.R.
HU Dong
Comment 17 scheidell freebsd_committer 2012-08-17 12:31:10 UTC
patch will not apply against current ports tree.
I can't help you until you fix the patch.


do this:

update your portstree, completely, bring it back to orignal.

then 'rsync -avC --delete  /usr/ports/www/xxxterm /usr/ports/www/xombrero

cd /usr/ports/www/xombrero

bring in your latest patch:
fetch -o /tmp/patch  
'http://www.freebsd.org/cgi/query-pr.cgi?pr=ports%2F169860&getpatch=4'

patch it:

patch -EuN -d /usr/ports/xombrero -i /tmp/patch

won't apply.

fix your patch.


-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 18 scheidell freebsd_committer 2012-08-17 13:53:45 UTC

On 8/17/12 8:52 AM, HU Dong wrote:
> Thanks for your reply.
>
> How about a shar file? I'm not familiar with diff and patch commands, 
> so I made a shar file. It should work now.
you should maybe ask someone else to maintain the port then.

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 19 itechbear 2012-08-17 14:08:08 UTC
On Fri, Aug 17, 2012 at 8:53 PM, Michael Scheidell <scheidell@freebsd.org>wrote:

OK, I'll write to the mailing list to ask them.

-- 
B.R.
HU Dong
Comment 20 Niclas Zeising freebsd_committer 2012-08-17 14:57:42 UTC
Responsible Changed
From-To: freebsd-ports-bugs->zeising

Take the pr, since I intend to grab the port as well.
Comment 21 itechbear 2012-08-17 15:07:30 UTC
As my last effort, here's the patch. I deleted the whole ports tree and
checked files out via svn. It should work now.

Now that Niclas would like to takeover the maintainership, I hope things
would progress faster.

[root#/usr/ports/www]patch -p0 < /path/to/patch.txt
Hmm...  Looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN xxxterm/Makefile xombrero/Makefile
|--- xxxterm/Makefile   2012-08-17 21:34:04.000000000 +0800
|+++ xombrero/Makefile  2012-08-17 21:43:58.000000000 +0800
--------------------------
Patching file xxxterm/Makefile using Plan A...
Hunk #1 succeeded at 1.
Hunk #2 succeeded at 45.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN xxxterm/distinfo xombrero/distinfo
|--- xxxterm/distinfo   2012-08-17 21:34:04.000000000 +0800
|+++ xombrero/distinfo  2012-08-17 21:43:57.000000000 +0800
--------------------------
Patching file xxxterm/distinfo using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN xxxterm/files/patch-freebsd__Makefile
xombrero/files/patch-freebsd__Makefile
|--- xxxterm/files/patch-freebsd__Makefile      1970-01-01
08:00:00.000000000 +0800
|+++ xombrero/files/patch-freebsd__Makefile     2012-08-17
21:43:57.000000000 +0800
--------------------------
(Creating file xxxterm/files/patch-freebsd__Makefile...)
Patching file xxxterm/files/patch-freebsd__Makefile using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN xxxterm/files/patch-xombrero.c xombrero/files/patch-xombrero.c
|--- xxxterm/files/patch-xombrero.c     1970-01-01 08:00:00.000000000 +0800
|+++ xombrero/files/patch-xombrero.c    2012-08-17 21:43:57.000000000 +0800
--------------------------
(Creating file xxxterm/files/patch-xombrero.c...)
Patching file xxxterm/files/patch-xombrero.c using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN xxxterm/files/xombrero.in xombrero/files/xombrero.in
|--- xxxterm/files/xombrero.in  1970-01-01 08:00:00.000000000 +0800
|+++ xombrero/files/xombrero.in 2012-08-17 21:43:57.000000000 +0800
--------------------------
(Creating file xxxterm/files/xombrero.in...)
Patching file xxxterm/files/xombrero.in using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN xxxterm/pkg-descr xombrero/pkg-descr
|--- xxxterm/pkg-descr  2012-08-17 21:34:04.000000000 +0800
|+++ xombrero/pkg-descr 2012-08-17 21:43:57.000000000 +0800
--------------------------
Patching file xxxterm/pkg-descr using Plan A...
Hunk #1 succeeded at 1.
Hmm...  The next patch looks like a unified diff to me...
The text leading up to this was:
--------------------------
|diff -ruN xxxterm/pkg-plist xombrero/pkg-plist
|--- xxxterm/pkg-plist  1970-01-01 08:00:00.000000000 +0800
|+++ xombrero/pkg-plist 2012-08-17 21:43:58.000000000 +0800
--------------------------
(Creating file xxxterm/pkg-plist...)
Patching file xxxterm/pkg-plist using Plan A...
Hunk #1 succeeded at 1.
done

B.R.
HU Dong
Comment 22 zeising 2012-08-20 00:13:33 UTC
Hi!
I just tested your patch, it works.  I have one question though, is the
startup script really necessary?  I would assume that the user would
copy the config files he wants?
Apart from that, good job!
Also, should I take maintanership, as we said before, or do you want
maintanership?
Regards!
-- 
Niclas
Comment 23 itechbear 2012-08-20 02:57:52 UTC
The config file fixes an SSL issue. It's better to copy it automatically
for user due to security resons. Or you can patch the source files and drop
the startup script.

Please keep maintainership. I'm working on other ports. Thank you!

-- 
B.R.
HU Dong
Comment 24 dfilter freebsd_committer 2012-08-20 16:24:24 UTC
Author: zeising
Date: Mon Aug 20 15:24:13 2012
New Revision: 302803
URL: http://svn.freebsd.org/changeset/ports/302803

Log:
  Rename xxxterm to xombrero
  Update xombrero to latest version 1.2.2
  Pass maintainership to me
  
  PR:		ports/169860
  Submitted by:	HU Dong <itechbear@gmail.com>
  Approved by:	maintainer, kwm (mentor)

Added:
  head/www/xombrero/
     - copied from r302770, head/www/xxxterm/
  head/www/xombrero/files/
  head/www/xombrero/files/patch-freebsd__Makefile   (contents, props changed)
  head/www/xombrero/files/patch-xombrero.c   (contents, props changed)
  head/www/xombrero/files/xombrero.in   (contents, props changed)
  head/www/xombrero/pkg-plist   (contents, props changed)
Deleted:
  head/www/xxxterm/
Modified:
  head/MOVED
  head/www/xombrero/Makefile
  head/www/xombrero/distinfo
  head/www/xombrero/pkg-descr

Modified: head/MOVED
==============================================================================
--- head/MOVED	Mon Aug 20 15:08:45 2012	(r302802)
+++ head/MOVED	Mon Aug 20 15:24:13 2012	(r302803)
@@ -3645,3 +3645,4 @@ www/django-mezzanine-filebrowser|www/py-
 www/django-mezzanine-grappelli|www/py-django-mezzanine-grappelli|2012-08-19|Rename to consistency with other Python ports
 misc/gpt31||2012-08-20|Has expired: was a dependency for net/globus4, which was removed 2008-12-07, unmaintained upstream since 2004
 misc/gpt||2012-08-20|Has expired: was a dependency for net/globus4, which was removed 2008-12-07, unmaintained upstream since 2004
+www/xxxterm/|www/xombrero|2012-08-20|Project renamed

Modified: head/www/xombrero/Makefile
==============================================================================
--- head/www/xxxterm/Makefile	Sun Aug 19 22:44:08 2012	(r302770)
+++ head/www/xombrero/Makefile	Mon Aug 20 15:24:13 2012	(r302803)
@@ -5,29 +5,38 @@
 # $FreeBSD$
 #
 
-PORTNAME=	xxxterm
-PORTVERSION=	1.10.0
-PORTREVISION=	1
-PORTEPOCH=	1
+PORTNAME=	xombrero
+PORTVERSION=	1.2.2
 CATEGORIES=	www
-MASTER_SITES=	https://opensource.conformal.com/snapshots/xxxterm/ \
-		SF/xxxterm/
+MASTER_SITES=	https://opensource.conformal.com/snapshots/xombrero/
 EXTRACT_SUFX=	.tgz
 
-MAINTAINER=	graudeejs@gmail.com
+MAINTAINER=	zeising@FreeBSD.org
 COMMENT=	Minimalists vi-like web browser based on webkit and GTK+
 
-LIB_DEPENDS=	gnutls.47:${PORTSDIR}/security/gnutls \
+LICENCE=	ISCL
+
+LIB_DEPENDS=	gnutls:${PORTSDIR}/security/gnutls \
 		soup-2.4:${PORTSDIR}/devel/libsoup \
-		webkitgtk-1.0:${PORTSDIR}/www/webkit-gtk2
+		webkitgtk-1:${PORTSDIR}/www/webkit-gtk2
+
+USE_PKGCONFIG=	build
+USE_PERL5_BUILD=yes
+USE_GNOME=	gtk20
+INSTALLS_ICONS=	yes
+
+MAKE_ENV=	GTK_VERSION="gtk2" \
+		PTHREAD_CFLAGS="${PTHREAD_CFLAGS}" \
+		PTHREAD_LIBS="${PTHREAD_LIBS}"
+
+MAN1=		xombrero.1
+PORTEXAMPLES=	favorites playflash.sh xombrero.conf
+
+BUILD_WRKSRC=	${WRKSRC}/freebsd
 
-USE_GNOME=	gtk20 pkgconfig
-USE_PERL5_BUILD=YES
+OPTIONS_DEFINE=	EXAMPLES
 
-PLIST_FILES=	bin/xxxterm
-MAN1=		xxxterm.1
-PORTEXAMPLES=	favorites xxxterm.conf
-PLIST_DIRS+=	share/xxxterm
+SUB_FILES=	xombrero
 
 .include <bsd.port.pre.mk>
 
@@ -35,27 +44,31 @@ PLIST_DIRS+=	share/xxxterm
 BROKEN=		does not build due to missing arc4random_buf in libc
 .endif
 
-ICONS=	16 32 48 64 128
-.for i in ${ICONS}
-PLIST_FILES+=	share/xxxterm/xxxtermicon${i}.png
-.endfor
-PLIST_FILES+=	share/xxxterm/style.css
-
-do-build:
-	(cd ${WRKSRC}/freebsd && make)
-
+post-patch:
+	@cd ${WRKSRC}; ${REINPLACE_CMD} -e 's|/usr/local|${LOCALBASE}|g' \
+		-e 's|# ssl_ca_file|ssl_ca_file|' \
+		-e 's|/etc/ssl/cert.pem|${LOCALBASE}/share/certs/ca-root-nss.crt|' \
+			unix.c xombrero.conf
 do-install:
-	${INSTALL_SCRIPT} ${WRKSRC}/freebsd/xxxterm ${PREFIX}/bin/
-	${INSTALL_MAN} ${WRKSRC}/xxxterm.1 ${PREFIX}/man/man1/
-	${MKDIR} ${PREFIX}/share/${PORTNAME}
-.for i in ${ICONS}
-	${INSTALL_DATA}  ${WRKSRC}/xxxtermicon${i}.png ${PREFIX}/share/xxxterm/
+	${INSTALL_SCRIPT} ${WRKDIR}/xombrero ${PREFIX}/bin/xombrero
+	${INSTALL_PROGRAM} ${WRKSRC}/freebsd/xombrero ${PREFIX}/bin/xombrero-bin
+	${INSTALL_MAN} ${WRKSRC}/xombrero.1 ${MANPREFIX}/man/man1
+.for i in 16 32 48 64 128
+	${MKDIR} ${PREFIX}/share/icons/hicolor/${i}x${i}/apps
+	${INSTALL_DATA}  ${WRKSRC}/xombreroicon${i}.png ${PREFIX}/share/icons/hicolor/${i}x${i}/apps
 .endfor
-	${INSTALL_DATA}  ${WRKSRC}/style.css ${PREFIX}/share/xxxterm/
-.if !defined(NOPORTEXAMPLES)
+	${MKDIR} ${DATADIR}
+.for i in style.css tld-rules
+	${INSTALL_DATA}  ${WRKSRC}/${i} ${DATADIR}
+.endfor
+	${MKDIR} ${PREFIX}/share/applications
+	${INSTALL_DATA}  ${WRKSRC}/xombrero.desktop ${PREFIX}/share/applications
+.if ${PORT_OPTIONS:MEXAMPLES}
 	${MKDIR} ${EXAMPLESDIR}
-	${INSTALL_DATA} ${WRKSRC}/favorites ${EXAMPLESDIR}/
-	${INSTALL_DATA} ${WRKSRC}/xxxterm.conf ${EXAMPLESDIR}/
+.for i in favorites xombrero.conf
+	${INSTALL_DATA} ${WRKSRC}/${i} ${EXAMPLESDIR}
+.endfor
+	${INSTALL_SCRIPT} ${WRKSRC}/playflash.sh ${EXAMPLESDIR}
 .endif
 
 .include <bsd.port.post.mk>

Modified: head/www/xombrero/distinfo
==============================================================================
--- head/www/xxxterm/distinfo	Sun Aug 19 22:44:08 2012	(r302770)
+++ head/www/xombrero/distinfo	Mon Aug 20 15:24:13 2012	(r302803)
@@ -1,2 +1,2 @@
-SHA256 (xxxterm-1.10.0.tgz) = 70987029223012be5c1c1f2c1d021af604550b8a10dc66abd993b1f315614d25
-SIZE (xxxterm-1.10.0.tgz) = 187630
+SHA256 (xombrero-1.2.2.tgz) = 7cd2d1174239b5e3f897473ca69efc1fb303491d6ed60bf068263adfb76b164a
+SIZE (xombrero-1.2.2.tgz) = 242038

Added: head/www/xombrero/files/patch-freebsd__Makefile
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/xombrero/files/patch-freebsd__Makefile	Mon Aug 20 15:24:13 2012	(r302803)
@@ -0,0 +1,13 @@
+--- ./freebsd/Makefile.orig	2012-07-25 17:37:55.000000000 -0400
++++ ./freebsd/Makefile	2012-07-31 08:13:02.000000000 -0400
+@@ -9,8 +9,8 @@
+ LDADD= -lutil -lgcrypt
+ GTK_CFLAGS!= pkg-config --cflags $(LIBS)
+ GTK_LDFLAGS!= pkg-config --libs $(LIBS)
+-CFLAGS+= $(GTK_CFLAGS) -O2 -Wall -pthread
+-LDFLAGS+= $(GTK_LDFLAGS) -pthread
++CFLAGS+= $(GTK_CFLAGS) -Wall -D_GCRYPT_IN_LIBGCRYPT=1 -I.. ${PTHREAD_CFLAGS}
++LDFLAGS+= $(GTK_LDFLAGS) ${PTHREAD_LIBS}
+ 
+ PREFIX?= /usr/local
+ BINDIR?= $(PREFIX)/bin

Added: head/www/xombrero/files/patch-xombrero.c
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/xombrero/files/patch-xombrero.c	Mon Aug 20 15:24:13 2012	(r302803)
@@ -0,0 +1,11 @@
+--- ./xombrero.c.orig	2012-07-25 17:37:55.000000000 -0400
++++ ./xombrero.c	2012-07-31 08:13:02.000000000 -0400
+@@ -1423,7 +1423,7 @@
+ {
+ 	struct passwd		*pwd;
+ 	int			i;
+-	char			user[LOGIN_NAME_MAX];
++	char			user[sysconf(_SC_LOGIN_NAME_MAX)];
+ 	const char		*sc = s;
+ 
+ 	if (path == NULL || s == NULL)

Added: head/www/xombrero/files/xombrero.in
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/xombrero/files/xombrero.in	Mon Aug 20 15:24:13 2012	(r302803)
@@ -0,0 +1,22 @@
+#!/bin/sh
+#
+# $FreeBSD$
+#
+# A wrapper script for xombrero
+# Created by HU Dong <itechbear@gmail.com>
+
+if [ ! -d "~/.xombrero" ]; then
+	mkdir -p -m 700 ~/.xombrero
+fi
+
+if [ ! -f "~/.xombrero.conf" ]; then
+	cp %%EXAMPLESDIR%%/xombrero.conf ~/.xombrero.conf
+	chmod +w ~/.xombrero.conf
+fi
+
+if [ ! -f "~/.xombrero/playflash.sh" ]; then
+	cp %%EXAMPLESDIR%%/playflash.sh ~/.xombrero/playflash.sh
+	chmod +x ~/.xombrero/playflash.sh
+fi
+
+exec %%PREFIX%%/bin/xombrero-bin

Modified: head/www/xombrero/pkg-descr
==============================================================================
--- head/www/xxxterm/pkg-descr	Sun Aug 19 22:44:08 2012	(r302770)
+++ head/www/xombrero/pkg-descr	Mon Aug 20 15:24:13 2012	(r302803)
@@ -1,5 +1,5 @@
-xxxterm is a minimalists web browser. It strives to be vi-like for heavy
-keyboard users while maintaining traditional web browser behaviour. It is ISC
-licensed. It is based on webkit using GTK+. 
+xombrero, previously known as xxxterm, is a minimalists web browser. It strives 
+to be vi-like for heavy keyboard users while maintaining traditional web browser
+ behaviour. It is ISC licensed. It is based on webkit using GTK+. 
 
-WWW: https://opensource.conformal.com/wiki/XXXTerm
+WWW: https://opensource.conformal.com/wiki/xombrero

Added: head/www/xombrero/pkg-plist
==============================================================================
--- /dev/null	00:00:00 1970	(empty, because file is newly added)
+++ head/www/xombrero/pkg-plist	Mon Aug 20 15:24:13 2012	(r302803)
@@ -0,0 +1,24 @@
+bin/xombrero
+bin/xombrero-bin
+share/applications/xombrero.desktop
+share/icons/hicolor/128x128/apps/xombreroicon128.png
+share/icons/hicolor/16x16/apps/xombreroicon16.png
+share/icons/hicolor/32x32/apps/xombreroicon32.png
+share/icons/hicolor/48x48/apps/xombreroicon48.png
+share/icons/hicolor/64x64/apps/xombreroicon64.png
+%%DATADIR%%/style.css
+%%DATADIR%%/tld-rules
+@dirrm %%DATADIR%%
+@dirrmtry share/icons/hicolor/64x64/apps
+@dirrmtry share/icons/hicolor/64x64
+@dirrmtry share/icons/hicolor/48x48/apps
+@dirrmtry share/icons/hicolor/48x48
+@dirrmtry share/icons/hicolor/32x32/apps
+@dirrmtry share/icons/hicolor/32x32
+@dirrmtry share/icons/hicolor/16x16/apps
+@dirrmtry share/icons/hicolor/16x16
+@dirrmtry share/icons/hicolor/128x128/apps
+@dirrmtry share/icons/hicolor/128x128
+@dirrmtry share/icons/hicolor
+@dirrmtry share/icons
+@dirrmtry share/applications
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 25 Niclas Zeising freebsd_committer 2012-08-20 16:46:28 UTC
State Changed
From-To: feedback->closed

Committed, with minor changes. Thanks!